import 'package:flutter/material.dart';
import 'package:synaptic_transitions/synaptic_transitions.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Material App',
      initialRoute: 'page1',
      routes: {
        'page1': (_) => const Page1(),
        'page2': (_) => const Page2(),
      },
    );
  }
}

class Page1 extends StatelessWidget {
  const Page1({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Center(child: Text('Page1')),
        backgroundColor: Colors.transparent,
      ),
      backgroundColor: Colors.orange,
      body: Center(
          child: MaterialButton(
              child: const Text('Go!'),
              color: Colors.white,
              onPressed: () {
                SynapticTransitions(
                  context: context,
                  child: const Page2(),
                  animation: AnimationType.fadeIn,
                  duration: const Duration(seconds: 1),
                  replacement: false,
                );
              })),
    );
  }
}

class Page2 extends StatelessWidget {
  const Page2({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Page2'),
        backgroundColor: Colors.transparent,
      ),
      backgroundColor: Colors.red,
      body: const Center(
        child: Text(
          'this is amazing!',
          style: TextStyle(fontSize: 40),
        ),
      ),
    );
  }
}
